/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class UserMenuInfo
    {
        public const string URL = "ui://6hgkvlauobry12n";

        public GImage headBack;
        public GTextField TextName;
        public GButton Head;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            headBack = (GImage)GetChild("headBack");
            TextName = (GTextField)GetChild("TextName");
            Head = (GButton)GetChild("Head");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}